Skip to main content
Version: v1.1

Service discovery messages

Service discovery use following request params:

  • mTLS is required (unit online certificate is used for authentication)
  • path: /sd/v7/
  • Content-Type: application/json

Request example

{
"version": 7,
"systemId": "unitSystemId",
"supportedProtocols": ["wss"]
}

Response schema

{
"version": 7,
"systemId": "unitSystemId",
"nextRequestDelay": 0,
"connectionInfo": [
"wss://host.domain.ltd/"
],
"errorCode": 0
}

Response codes

The response code is 200 with JSON based on the scheme above if OK or standard HTTP response codes if failed.

Note the following:

  • Standard HTTP response codes are:
    • 200 for successfully processed requests.
    • Other codes to indicate errors.
  • Certificate authentication in RabbitMQ is required.
  • TTL is in seconds.